gr::dab::prune_vectors Class Reference

<+description of block+> More...

`#include <prune_vectors.h>`

Inheritance diagram for gr::dab::prune_vectors:
[legend]

## Public Types

typedef std::shared_ptr< prune_vectors > | sptr

## Static Public Member Functions

static sptr | make (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
| Return a shared_ptr to a new instance of dab::prune_vectors.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<prune_vectors> gr::dab::prune_vectors::sptr

## Member Function Documentation

## make()

sptr gr::dab::prune_vectors::make | ( | size_t | itemsize,
|  | unsigned int | length,
|  | unsigned int | prune_start,
|  | unsigned int | prune_end )

static

Return a shared_ptr to a new instance of dab::prune_vectors.

To avoid accidental use of raw pointers, dab::prune_vectors's constructor is in a private implementation class. dab::prune_vectors::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- prune_vectors.h